OnigMetaCharTableType Struct Reference

`#include <oniguruma.h>`

## Data Fields

OnigCodePoint | esc
OnigCodePoint | anychar
OnigCodePoint | anytime
OnigCodePoint | zero_or_one_time
OnigCodePoint | one_or_more_time
OnigCodePoint | anychar_anytime

## Detailed Description

Definition at line 145 of file oniguruma.h.

## Field Documentation

OnigCodePoint OnigMetaCharTableType::anychar

Definition at line 147 of file oniguruma.h.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::anychar_anytime

Definition at line 151 of file oniguruma.h.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::anytime

Definition at line 148 of file oniguruma.h.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::esc

Definition at line 146 of file oniguruma.h.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::one_or_more_time

Definition at line 150 of file oniguruma.h.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::zero_or_one_time

Definition at line 149 of file oniguruma.h.

Referenced by onig_set_meta_char().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h